Bug 138792 - missing rpm dependencies on update-desktop-database
missing rpm dependencies on update-desktop-database
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: totem (Show other bugs)
3
All Linux
medium Severity medium
: ---
: ---
Assigned To: John (J5) Palmieri
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-11-11 01:46 EST by Ralf Corsepius
Modified: 2013-03-13 00:46 EDT (History)
1 user (show)

See Also:
Fixed In Version: 1.4.0-3
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-05-23 15:04:18 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ralf Corsepius 2004-11-11 01:46:38 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.3)
Gecko/20040922

Description of problem:
# rpm -U totem-0.99.19-1.i386.rpm
/var/tmp/rpm-tmp.59821: line 1: update-desktop-database: command not found

2 Bugs:

1. The totem rpm lacks a 
Requires(post): /usr/sbin/update-desktop-database
rsp.
Requires(post): desktop-file-utils

2. The totem rpm %post-scriptlet invokes update-desktop-database
without absolute path.

# rpm -q --scripts totem
postinstall scriptlet (using /bin/sh):
update-desktop-database /usr/share/applications
export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
gconftool-2 --makefile-install-rule \
    /etc/gconf/schemas/totem.schemas \
     >/dev/null || :

Version-Release number of selected component (if applicable):
totem-0.99.19-1

How reproducible:
Always

Steps to Reproduce:
1. Make sure not to have desktop-file-utils installed
2. rpm -U totem-0.99.19-1.i386.rpm
   

Expected Results:

rpm -U totem should refuse to install without having
/usr/sbin/update-desktop-database installed and invoke 
/usr/sbin/update-desktop-database instead of update-desktop-database
in its %post-scriptlet.

IMO, /usr/sbin/update-desktop-database needs to be treated similar to 
install-info.
Comment 1 John Thacker 2006-05-23 15:04:18 EDT
Finally fixed in 1.4.0-3, in rawhide, along with the big general BuildRequires
fixing project.

Requires(post): desktop-file-utils

Requires(postun): desktop-file-utils

added

Note You need to log in before you can comment on or make changes to this bug.